python3.6安装web3.py填坑

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://sp4rkw.blog.csdn.net/article/details/88895096

ubuntu下使用python3.6安装web3.py报错

在这里插入图片描述在这里插入图片描述本来以为是很简单的一个缺乏相应库的问题,结果在分别安装cytoolzlru-dict时又继续报错
在这里插入图片描述在这里插入图片描述这里耗费大量时间,总算解决了,其实是一个很弱智的问题,,,希望其他人不要和我放一样的错误吧

sudo apt-get install python3.6-dev

python3.6 dev的头文件和静态库没有安装
在这里插入图片描述之后就可以正常安装web3.py了

展开阅读全文

没有更多推荐了,返回首页